Skip to main content
`Ctrl`+`K`

# PCRegisterAll

Registers all of the preconditioners in the PC package.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCRegisterAll(void)

Not Collective

## See Also

KSP: Linear System Solvers, `PCRegister()`

## Level

advanced

## Location

src/ksp/pc/interface/pcregis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages